<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_circle"
    android:clipToOutline="true">
    <!--顶部相机信息-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/cr_30_dp"
        android:orientation="horizontal">
        <LinearLayout
            style="@style/dji_camera_component">
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_iso"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/camera_iso"/>
            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            style="@style/dji_camera_component"
            android:layout_width="@dimen/cr_60_dp">
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_speed"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/camera_speed"/>
            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            style="@style/dji_camera_component">
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_focal"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/camera_focal"/>
            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            style="@style/dji_camera_component">
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_ev"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/camera_ev"/>
            </LinearLayout>
        </LinearLayout>
        <View style="@style/view_split_v1"/>
        <LinearLayout
            style="@style/dji_camera_component"
            android:layout_width="@dimen/cr_80_dp">
            <RelativeLayout
                style="@style/dji_top_component_panel">
                <ImageView
                    style="@style/dji_top_component_img"
                    android:src="@drawable/sd_zpsl"
                    android:contentDescription="@string/des_head"/>
                <TextView
                    android:layout_width="@dimen/cr_10_dp"
                    android:layout_height="@dimen/cr_10_dp"
                    android:background="@drawable/shape_back_circle"
                    android:id="@+id/camera_model_photo"
                    android:visibility="gone"/>
            </RelativeLayout>
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_photo"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/sd_photo_count"/>
            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            style="@style/dji_camera_component"
            android:layout_width="@dimen/cr_80_dp">
            <RelativeLayout
                style="@style/dji_top_component_panel">
                <ImageView
                    style="@style/dji_top_component_img"
                    android:src="@drawable/sd_spsj"
                    android:contentDescription="@string/des_head"/>
                <TextView
                    android:layout_width="@dimen/cr_10_dp"
                    android:layout_height="@dimen/cr_10_dp"
                    android:background="@drawable/shape_back_circle"
                    android:id="@+id/camera_model_video"
                    android:visibility="gone"/>
            </RelativeLayout>
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_camera_video"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/value_camera_video"
                    android:id="@+id/sd_video_time"/>
            </LinearLayout>
        </LinearLayout>
        <View style="@style/view_split_v1"/>
        <LinearLayout
            style="@style/dji_camera_component"
            android:layout_width="0dp"
            android:layout_weight="1">
            <LinearLayout
                style="@style/dji_top_component_lbl_panel">
                <TextView
                    style="@style/dji_top_text_title_style"
                    android:text="@string/title_login_dji"/>
                <TextView
                    style="@style/dji_top_text_value_style"
                    android:text="@string/default_value"
                    android:id="@+id/dji_login"/>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
    <View style="@style/view_split_h1"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">
        <!--飞行器方位-->
        <LinearLayout
            android:layout_width="@dimen/cr_80_dp"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/common_margin">
            <com.cr.widget.CrCompassWidget
                android:layout_width="match_parent"
                android:layout_height="match_parent"/>
        </LinearLayout>
        <View style="@style/view_split_v1"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">
            <!--速度 相对行高 返航距离-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">
                <LinearLayout
                    android:layout_width="@dimen/cr_70_dp"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/common_margin">
                    <com.cr.widget.CrSpeedWidget
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:speedProgress="0"
                        app:speedTitle="@string/speed_x"
                        android:id="@+id/speed_x"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="@dimen/cr_70_dp"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/common_margin">
                    <com.cr.widget.CrSpeedWidget
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:speedProgress="0"
                        app:speedTitle="@string/speed_y"
                        android:id="@+id/speed_y"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="@dimen/cr_70_dp"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/common_margin">
                    <com.cr.widget.CrSpeedWidget
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:speedProgress="0"
                        app:speedTitle="@string/speed_z"
                        android:id="@+id/speed_z"/>
                </LinearLayout>
                <View style="@style/view_split_v1"/>
                <!-- 相对高度 起飞海拔 -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <TextView
                        style="@style/lbl_title_common_match"
                        android:text="@string/title_takeoff_altitude"/>
                    <TextView
                        style="@style/lbl_value_common_match"
                        android:text="@string/default_value"
                        android:id="@+id/lbl_takeoff_altitude"/>
                    <TextView
                        style="@style/lbl_title_common_match"
                        android:text="@string/title_altitude"/>
                    <TextView
                        style="@style/lbl_value_common_match"
                        android:text="@string/default_value"
                        android:id="@+id/lbl_altitude"/>
                </LinearLayout>
                <View style="@style/view_split_v1"/>
                <!-- 返航高度 返航距离 -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <TextView
                        style="@style/lbl_title_common_match"
                        android:text="@string/title_go_home_altitude"/>
                    <TextView
                        style="@style/lbl_value_common_match"
                        android:text="@string/default_value"
                        android:id="@+id/lbl_home_altitude"/>
                    <TextView
                        style="@style/lbl_title_common_match"
                        android:text="@string/title_go_home_distance"/>
                    <TextView
                        style="@style/lbl_value_common_match"
                        android:text="@string/default_value"
                        android:id="@+id/lbl_home_distance"/>
                </LinearLayout>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <!--消息-->
            <TextView
                android:layout_width="match_parent"
                android:layout_height="@dimen/cr_16_dp"
                android:text="@string/default_value"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_10"
                android:gravity="center"
                android:id="@+id/lbl_message"/>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>